package com.proyek.akhir.kodel.ui.user.dashboard.detailPenunggak

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.local.Penunggak
import kotlinx.android.synthetic.main.item_penunggak.view.*

class DetailPenunggakAdapter(private val listPenunggak: List<Penunggak>) :
    RecyclerView.Adapter<DetailPenunggakAdapter.PenunggakViewHolder>() {

    inner class PenunggakViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        fun bind(penunggak: Penunggak) {
            with(itemView) {
                Glide.with(itemView.context)
                    .load(penunggak.imgPenunggak)
                    .into(imgPenunggak)
                namePenunggak.text = penunggak.namePenunggak
                hariPenunggak.text = penunggak.hariPenunggak
            }
        }

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): PenunggakViewHolder =
        PenunggakViewHolder(
            LayoutInflater.from(parent.context).inflate(
                R.layout.item_penunggak, parent, false
            )
        )

    override fun getItemCount(): Int = listPenunggak.size

    override fun onBindViewHolder(holder: PenunggakViewHolder, position: Int) {
        holder.bind(listPenunggak[position])
    }
}